## org.eclipse.datatools.enablement.sybase.asa.deltaddl
Class ASAForeignKeyDeltaDdlGenProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder
          org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
              org.eclipse.datatools.enablement.sybase.deltaddl.ConstraintDeltaDdlGenProvider
                  org.eclipse.datatools.enablement.sybase.deltaddl.ReferenceConstraintDeltaDdlGenProvider
                      org.eclipse.datatools.enablement.sybase.asa.deltaddl.ASAReferenceConstraintDeltaDdlGenProvider
                          org.eclipse.datatools.enablement.sybase.asa.deltaddl.ASAForeignKeyDeltaDdlGenProvider

All Implemented Interfaces:
  IDeltaDdlGenProvider

    public class ASAForeignKeyDeltaDdlGenProvider

extends ASAReferenceConstraintDeltaDdlGenProvider

Delta ddl gen provider for ASA foreign key.

Author:
  Idull

Constructor Summary
`ASAForeignKeyDeltaDdlGenProvider()`

Method Summary

Methods inherited from class org.eclipse.datatools.enablement.sybase.deltaddl.ConstraintDeltaDdlGenProvider
`processAlterStatement`

Methods inherited from class org.eclipse.datatools.enablement.sybase.deltaddl.AbstractDeltaDdlGenProvider
`analyze, getParameter, processCreateStatement, processDropStatement, setParameter`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.rte.fe.GenericDdlBuilder

`addCheckConstraint, addForeignKey, addUniqueConstraint, alterTableAddColumn, createAssertion, createIndex, createProcedure, createSchema, createTable, createTrigger, createUserDefinedFunction, createUserDefinedType, createView, dropAssertion, dropFunction, dropIndex, dropProcedure, dropSchema, dropTable, dropTableConstraint, dropTrigger, dropUserDefinedType, dropView, getEngineeringCallBack, isImplicitConstraint, setEngineeringCallBack`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASAForeignKeyDeltaDdlGenProvider

    public ASAForeignKeyDeltaDdlGenProvider()